<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateAudiencesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: audiences
         */
        Schema::create('audiences', function ($table) {
            $table->increments('id');
            $table->integer('survey_id')->nullable();
            $table->string('name', 255)->nullable();
            $table->enum('status', ['Open','Closed'])->nullable();
            $table->date('open_date')->nullable();
            $table->date('close_date')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('audiences');
    }
}
