<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateNotificsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: notifics
         */
        Schema::create('notifics', function ($table) {
            $table->increments('id');
            $table->integer('company_id')->nullable();
            $table->integer('survey_id')->nullable();
            $table->enum('type', ['Push','Text'])->nullable();
            $table->string('to', 255)->nullable();
            $table->string('cc', 100)->nullable();
            $table->string('bcc', 100)->nullable();
            $table->string('subject', 255)->nullable();
            $table->text('details')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('notifics');
    }
}
