<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateRemindersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: reminders
         */
        Schema::create('reminders', function ($table) {
            $table->increments('id');
            $table->integer('survey_id')->nullable();
            $table->string('name', 255)->nullable();
            $table->date('date')->nullable();
            $table->string('subject', 255)->nullable();
            $table->longText('content')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('reminders');
    }
}
