<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateSurveysTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: surveys
         */
        Schema::create('surveys', function ($table) {
            $table->increments('id');
            $table->integer('user_id')->nullable();
            $table->string('user_type', 100)->nullable();
            $table->string('slug', 255)->nullable();
            $table->string('name', 255)->nullable();
            $table->string('survey_title', 255)->nullable();
            $table->text('survey_intro')->nullable();
            $table->enum('status', ['Draft','Open','Closed'])->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('surveys');
    }
}
