Lavalite package that provides survey management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `survey/survey`.

    "survey/survey": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Survey\Survey\Providers\SurveyServiceProvider::class,

And also add it to alias

    'Survey'  => Survey\Survey\Facades\Survey::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Survey\\SurveyTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Survey\Survey\Providers\SurveyServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Survey\Survey\Providers\SurveyServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Survey\Survey\Providers\SurveyServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/survey/{modulename}

**User**

    http://path-to-route-folder/user/survey/{modulename}

**Public**

    http://path-to-route-folder/surveys


### API endpoints

**List**

    http://path-to-route-folder/api/user/survey/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/survey/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/survey/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/survey/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/survey/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/survey/{modulename}/{slug}
    METHOD: GET