<?php

// API routes  for survey
Route::prefix('{guard}/survey')->group(function () {
    Route::get('survey/form/{element}', 'SurveyAPIController@form');
    Route::resource('survey', 'SurveyAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for surveys
            Route::prefix('{guard}/survey')->group(function () {
                Route::get('survey/form/{element}', 'SurveyAPIController@form');
                Route::apiResource('survey', 'SurveyAPIController');
            });
            // Public routes for surveys
            Route::get('survey/Survey', 'SurveyPublicController@getSurvey');
        }
    );
}


// API routes  for audience
Route::prefix('{guard}/survey')->group(function () {
    Route::get('audience/form/{element}', 'AudienceAPIController@form');
    Route::resource('audience', 'AudienceAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for surveys
            Route::prefix('{guard}/survey')->group(function () {
                Route::get('audience/form/{element}', 'AudienceAPIController@form');
                Route::apiResource('audience', 'AudienceAPIController');
            });
            // Public routes for surveys
            Route::get('survey/Audience', 'AudiencePublicController@getAudience');
        }
    );
}


// API routes  for distribution
Route::prefix('{guard}/survey')->group(function () {
    Route::get('distribution/form/{element}', 'DistributionAPIController@form');
    Route::resource('distribution', 'DistributionAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for surveys
            Route::prefix('{guard}/survey')->group(function () {
                Route::get('distribution/form/{element}', 'DistributionAPIController@form');
                Route::apiResource('distribution', 'DistributionAPIController');
            });
            // Public routes for surveys
            Route::get('survey/Distribution', 'DistributionPublicController@getDistribution');
        }
    );
}


// API routes  for reminder
Route::prefix('{guard}/survey')->group(function () {
    Route::get('reminder/form/{element}', 'ReminderAPIController@form');
    Route::resource('reminder', 'ReminderAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for surveys
            Route::prefix('{guard}/survey')->group(function () {
                Route::get('reminder/form/{element}', 'ReminderAPIController@form');
                Route::apiResource('reminder', 'ReminderAPIController');
            });
            // Public routes for surveys
            Route::get('survey/Reminder', 'ReminderPublicController@getReminder');
        }
    );
}


// API routes  for reporting
Route::prefix('{guard}/survey')->group(function () {
    Route::get('reporting/form/{element}', 'ReportingAPIController@form');
    Route::resource('reporting', 'ReportingAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for surveys
            Route::prefix('{guard}/survey')->group(function () {
                Route::get('reporting/form/{element}', 'ReportingAPIController@form');
                Route::apiResource('reporting', 'ReportingAPIController');
            });
            // Public routes for surveys
            Route::get('survey/Reporting', 'ReportingPublicController@getReporting');
        }
    );
}


// API routes  for theme
Route::prefix('{guard}/survey')->group(function () {
    Route::get('theme/form/{element}', 'ThemeAPIController@form');
    Route::resource('theme', 'ThemeAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for surveys
            Route::prefix('{guard}/survey')->group(function () {
                Route::get('theme/form/{element}', 'ThemeAPIController@form');
                Route::apiResource('theme', 'ThemeAPIController');
            });
            // Public routes for surveys
            Route::get('survey/Theme', 'ThemePublicController@getTheme');
        }
    );
}


// API routes  for notific
Route::prefix('{guard}/survey')->group(function () {
    Route::get('notific/form/{element}', 'NotificAPIController@form');
    Route::resource('notific', 'NotificAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for surveys
            Route::prefix('{guard}/survey')->group(function () {
                Route::get('notific/form/{element}', 'NotificAPIController@form');
                Route::apiResource('notific', 'NotificAPIController');
            });
            // Public routes for surveys
            Route::get('survey/Notific', 'NotificPublicController@getNotific');
        }
    );
}

