<?php

// web routes  for survey
Route::prefix('{guard}/survey')->group(function () {
    Route::resource('survey', 'SurveyResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'SurveyResourceController');
            });
            // Public routes for pages
            Route::get('surveys/', 'SurveyPublicController@index');
            Route::get('surveys/{slug?}', 'SurveyPublicController@show');
        }
    );
}


// web routes  for audience
Route::prefix('{guard}/survey')->group(function () {
    Route::resource('audience', 'AudienceResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'AudienceResourceController');
            });
            // Public routes for pages
            Route::get('surveys/', 'AudiencePublicController@index');
            Route::get('surveys/{slug?}', 'AudiencePublicController@show');
        }
    );
}


// web routes  for distribution
Route::prefix('{guard}/survey')->group(function () {
    Route::resource('distribution', 'DistributionResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'DistributionResourceController');
            });
            // Public routes for pages
            Route::get('surveys/', 'DistributionPublicController@index');
            Route::get('surveys/{slug?}', 'DistributionPublicController@show');
        }
    );
}


// web routes  for reminder
Route::prefix('{guard}/survey')->group(function () {
    Route::resource('reminder', 'ReminderResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'ReminderResourceController');
            });
            // Public routes for pages
            Route::get('surveys/', 'ReminderPublicController@index');
            Route::get('surveys/{slug?}', 'ReminderPublicController@show');
        }
    );
}


// web routes  for reporting
Route::prefix('{guard}/survey')->group(function () {
    Route::resource('reporting', 'ReportingResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'ReportingResourceController');
            });
            // Public routes for pages
            Route::get('surveys/', 'ReportingPublicController@index');
            Route::get('surveys/{slug?}', 'ReportingPublicController@show');
        }
    );
}


// web routes  for theme
Route::prefix('{guard}/survey')->group(function () {
    Route::resource('theme', 'ThemeResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'ThemeResourceController');
            });
            // Public routes for pages
            Route::get('surveys/', 'ThemePublicController@index');
            Route::get('surveys/{slug?}', 'ThemePublicController@show');
        }
    );
}


// web routes  for notific
Route::prefix('{guard}/survey')->group(function () {
    Route::resource('notific', 'NotificResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'NotificResourceController');
            });
            // Public routes for pages
            Route::get('surveys/', 'NotificPublicController@index');
            Route::get('surveys/{slug?}', 'NotificPublicController@show');
        }
    );
}

