<?php

namespace Survey\Survey\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Survey policy
        'Survey\Survey\Models\Survey' => \Survey\Survey\Policies\SurveyPolicy::class,
// Bind Audience policy
        'Survey\Survey\Models\Audience' => \Survey\Survey\Policies\AudiencePolicy::class,
// Bind Distribution policy
        'Survey\Survey\Models\Distribution' => \Survey\Survey\Policies\DistributionPolicy::class,
// Bind Reminder policy
        'Survey\Survey\Models\Reminder' => \Survey\Survey\Policies\ReminderPolicy::class,
// Bind Reporting policy
        'Survey\Survey\Models\Reporting' => \Survey\Survey\Policies\ReportingPolicy::class,
// Bind Theme policy
        'Survey\Survey\Models\Theme' => \Survey\Survey\Policies\ThemePolicy::class,
// Bind Notific policy
        'Survey\Survey\Models\Notific' => \Survey\Survey\Policies\NotificPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
