<?php

namespace Survey\Survey\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AudienceTransformer extends TransformerAbstract
{
    public function transform(\Survey\Survey\Models\Audience $audience)
    {
        return [
            'id'                => $audience->getRouteKey(),
            'key'               => [
                'public'    => $audience->getPublicKey(),
                'route'     => $audience->getRouteKey(),
            ], 
            'survey_id'         => $audience->survey_id,
            'name'              => $audience->name,
            'open_date'         => $audience->open_date,
            'close_date'        => $audience->close_date,
            'deleted_at'        => $audience->deleted_at,
            'url'               => [
                'public'    => trans_url('survey/'.$audience->getPublicKey()),
                'user'      => guard_url('survey/audience/'.$audience->getRouteKey()),
            ], 
            'status'            => trans('app.'.$audience->status),
            'created_at'        => format_date($audience->created_at),
            'updated_at'        => format_date($audience->updated_at),
        ];
    }
}