<?php

namespace Survey\Survey\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class DistributionTransformer extends TransformerAbstract
{
    public function transform(\Survey\Survey\Models\Distribution $distribution)
    {
        return [
            'id'                => $distribution->getRouteKey(),
            'key'               => [
                'public'    => $distribution->getPublicKey(),
                'route'     => $distribution->getRouteKey(),
            ], 
            'survey_id'         => $distribution->survey_id,
            'first_name'        => $distribution->first_name,
            'last_name'         => $distribution->last_name,
            'email'             => $distribution->email,
            ')'                 => $distribution->),
            'deleted_at'        => $distribution->deleted_at,
            'url'               => [
                'public'    => trans_url('survey/'.$distribution->getPublicKey()),
                'user'      => guard_url('survey/distribution/'.$distribution->getRouteKey()),
            ], 
            'status'            => trans('app.'.$distribution->status),
            'created_at'        => format_date($distribution->created_at),
            'updated_at'        => format_date($distribution->updated_at),
        ];
    }
}