<?php

namespace Survey\Survey\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class NotificTransformer extends TransformerAbstract
{
    public function transform(\Survey\Survey\Models\Notific $notific)
    {
        return [
            'id'                => $notific->getRouteKey(),
            'key'               => [
                'public'    => $notific->getPublicKey(),
                'route'     => $notific->getRouteKey(),
            ], 
            'company_id'        => $notific->company_id,
            'survey_id'         => $notific->survey_id,
            'type'              => $notific->type,
            'to'                => $notific->to,
            'cc'                => $notific->cc,
            'bcc'               => $notific->bcc,
            'subject'           => $notific->subject,
            'details'           => $notific->details,
            'deleted_at'        => $notific->deleted_at,
            'url'               => [
                'public'    => trans_url('survey/'.$notific->getPublicKey()),
                'user'      => guard_url('survey/notific/'.$notific->getRouteKey()),
            ], 
            'status'            => trans('app.'.$notific->status),
            'created_at'        => format_date($notific->created_at),
            'updated_at'        => format_date($notific->updated_at),
        ];
    }
}