<?php

namespace Survey\Survey\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ReminderTransformer extends TransformerAbstract
{
    public function transform(\Survey\Survey\Models\Reminder $reminder)
    {
        return [
            'id'                => $reminder->getRouteKey(),
            'key'               => [
                'public'    => $reminder->getPublicKey(),
                'route'     => $reminder->getRouteKey(),
            ], 
            'survey_id'         => $reminder->survey_id,
            'name'              => $reminder->name,
            'date'              => $reminder->date,
            'subject'           => $reminder->subject,
            'content'           => $reminder->content,
            'deleted_at'        => $reminder->deleted_at,
            'url'               => [
                'public'    => trans_url('survey/'.$reminder->getPublicKey()),
                'user'      => guard_url('survey/reminder/'.$reminder->getRouteKey()),
            ], 
            'status'            => trans('app.'.$reminder->status),
            'created_at'        => format_date($reminder->created_at),
            'updated_at'        => format_date($reminder->updated_at),
        ];
    }
}