<?php

namespace Survey\Survey\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ReportingTransformer extends TransformerAbstract
{
    public function transform(\Survey\Survey\Models\Reporting $reporting)
    {
        return [
            'id'                => $reporting->getRouteKey(),
            'key'               => [
                'public'    => $reporting->getPublicKey(),
                'route'     => $reporting->getRouteKey(),
            ], 
            'survey_id'         => $reporting->survey_id,
            'first_name'        => $reporting->first_name,
            'last_name'         => $reporting->last_name,
            'email'             => $reporting->email,
            ')'                 => $reporting->),
            'deleted_at'        => $reporting->deleted_at,
            'url'               => [
                'public'    => trans_url('survey/'.$reporting->getPublicKey()),
                'user'      => guard_url('survey/reporting/'.$reporting->getRouteKey()),
            ], 
            'status'            => trans('app.'.$reporting->status),
            'created_at'        => format_date($reporting->created_at),
            'updated_at'        => format_date($reporting->updated_at),
        ];
    }
}