<?php

namespace Survey\Survey\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SurveyTransformer extends TransformerAbstract
{
    public function transform(\Survey\Survey\Models\Survey $survey)
    {
        return [
            'id'                => $survey->getRouteKey(),
            'key'               => [
                'public'    => $survey->getPublicKey(),
                'route'     => $survey->getRouteKey(),
            ], 
            'user_id'           => $survey->user_id,
            'user_type'         => $survey->user_type,
            'slug'              => $survey->slug,
            'name'              => $survey->name,
            'survey_title'      => $survey->survey_title,
            'survey_intro'      => $survey->survey_intro,
            'deleted_at'        => $survey->deleted_at,
            'url'               => [
                'public'    => trans_url('survey/'.$survey->getPublicKey()),
                'user'      => guard_url('survey/survey/'.$survey->getRouteKey()),
            ], 
            'status'            => trans('app.'.$survey->status),
            'created_at'        => format_date($survey->created_at),
            'updated_at'        => format_date($survey->updated_at),
        ];
    }
}