<?php

namespace Survey\Survey\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ThemeTransformer extends TransformerAbstract
{
    public function transform(\Survey\Survey\Models\Theme $theme)
    {
        return [
            'id'                => $theme->getRouteKey(),
            'key'               => [
                'public'    => $theme->getPublicKey(),
                'route'     => $theme->getRouteKey(),
            ], 
            'company_id'        => $theme->company_id,
            'survey_id'         => $theme->survey_id,
            'name'              => $theme->name,
            'details'           => $theme->details,
            'deleted_at'        => $theme->deleted_at,
            'url'               => [
                'public'    => trans_url('survey/'.$theme->getPublicKey()),
                'user'      => guard_url('survey/theme/'.$theme->getRouteKey()),
            ], 
            'status'            => trans('app.'.$theme->status),
            'created_at'        => format_date($theme->created_at),
            'updated_at'        => format_date($theme->updated_at),
        ];
    }
}