<?php

namespace Survey\Survey;

use User;

class Survey
{
    /**
     * $survey object.
     */
    protected $survey;
    /**
     * $audience object.
     */
    protected $audience;
    /**
     * $distribution object.
     */
    protected $distribution;
    /**
     * $reminder object.
     */
    protected $reminder;
    /**
     * $reporting object.
     */
    protected $reporting;
    /**
     * $theme object.
     */
    protected $theme;
    /**
     * $notific object.
     */
    protected $notific;

    /**
     * Constructor.
     */
    public function __construct(\Survey\Survey\Interfaces\SurveyRepositoryInterface $survey,
        \Survey\Survey\Interfaces\AudienceRepositoryInterface $audience,
        \Survey\Survey\Interfaces\DistributionRepositoryInterface $distribution,
        \Survey\Survey\Interfaces\ReminderRepositoryInterface $reminder,
        \Survey\Survey\Interfaces\ReportingRepositoryInterface $reporting,
        \Survey\Survey\Interfaces\ThemeRepositoryInterface $theme,
        \Survey\Survey\Interfaces\NotificRepositoryInterface $notific)
    {
        $this->survey = $survey;
        $this->audience = $audience;
        $this->distribution = $distribution;
        $this->reminder = $reminder;
        $this->reporting = $reporting;
        $this->theme = $theme;
        $this->notific = $notific;
    }

    /**
     * Returns count of survey.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.survey.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->survey->pushCriteria(new \Litepie\Survey\Repositories\Criteria\SurveyUserCriteria());
        }

        $survey = $this->survey->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('survey::' . $view, compact('survey'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.audience.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->audience->pushCriteria(new \Litepie\Survey\Repositories\Criteria\AudienceUserCriteria());
        }

        $audience = $this->audience->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('survey::' . $view, compact('audience'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.distribution.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->distribution->pushCriteria(new \Litepie\Survey\Repositories\Criteria\DistributionUserCriteria());
        }

        $distribution = $this->distribution->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('survey::' . $view, compact('distribution'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.reminder.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->reminder->pushCriteria(new \Litepie\Survey\Repositories\Criteria\ReminderUserCriteria());
        }

        $reminder = $this->reminder->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('survey::' . $view, compact('reminder'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.reporting.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->reporting->pushCriteria(new \Litepie\Survey\Repositories\Criteria\ReportingUserCriteria());
        }

        $reporting = $this->reporting->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('survey::' . $view, compact('reporting'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.theme.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->theme->pushCriteria(new \Litepie\Survey\Repositories\Criteria\ThemeUserCriteria());
        }

        $theme = $this->theme->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('survey::' . $view, compact('theme'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.notific.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->notific->pushCriteria(new \Litepie\Survey\Repositories\Criteria\NotificUserCriteria());
        }

        $notific = $this->notific->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('survey::' . $view, compact('notific'))->render();
    }
}
